# array File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file array.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Defines

- #define _ARRAY

## Functions

- template<typename _Tp, size_t _Nm> bool operator!= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, size_t _Nm> bool operator< (const array< _Tp, _Nm > &a, const array< _Tp, _Nm > &b)
- template<typename _Tp, size_t _Nm> bool operator<= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, size_t _Nm> bool operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, size_t _Nm> bool operator> (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, size_t _Nm> bool operator>= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, size_t _Nm> void swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two)